@set @x=0 /*
@echo off
>nul 2>&1 fsutil dirty query %systemdrive%
if errorlevel 1 start "" cscript //nologo /e:jscript "%~f0" &goto :eof

%~d0
cd %~p0

if exist inet.bak (
  echo Найдена резервная копия inet.dll как inet.bak
  echo Пропуск создания резервной копии
) else (
  echo Создание резервной копии inet.dll как inet.bak ...
  copy inet.dll inet.bak
)
echo Поиск и изменение необходимой сигнатуры 90410FB6C5488B в inet.dll для платформ 17-19-й линеек ...
sfk.exe rep inet.dll -firsthit -bin /90410FB6C5488B/9031C0B001488B/ -yes
echo Поиск и изменение необходимой сигнатуры 90410FB6C4488B в inet.dll для платформ, начиная с 20-й линейки  ...
sfk.exe rep inet.dll -firsthit -bin /90410FB6C4488B/9031C0B001488B/ -yes
echo Поиск и изменение необходимой сигнатуры 80000000008B0A52FF51088AC3 в inet.dll для x32 платформ ...
sfk.exe rep inet.dll -firsthit -bin /80000000008B0A52FF51088AC3/80000000008B0A52FF5108B001/ -yes
set licfile=C:\ProgramData\1C\licenses\anyname.lic
if exist %licfile% (
  echo Файл программной лицензии %licfile% уже существует
  echo Пропуск создания файла программной лицензии %licfile%
) else (
  echo Создание программной лицензии %licfile% ...
  echo nrwUMs52ijl4meQQKLIxwj942gvW6QS69/XCpSHL3x0WdKQSV0vQoKMXw6O7OslmGb0eQlJShPWXxTyvb2GEa9QEjr6GGzKqwlxtVL5JAFRyPXmaP8qa0WDCrIy8I/SUTl//1pNkB5U3yzHX/exqVqR/bKF1AHW0H2peJoNy+eHh05Xd1KfyeOHdUzuYd4BP > %licfile%
)
echo Удаление цифровой подписи в inet.dll ...
FileUnsigner.exe inet.dll
pause

goto :eof

*/
var WShell = new ActiveXObject("WScript.Shell");
var Env = WShell.Environment("PROCESS");
var ShellApp = new ActiveXObject("Shell.Application");
ShellApp.ShellExecute(Env("COMSPEC"), ' /k ""' + WScript.ScriptFullName + '""', "", "runas", 1);
